repos:
  - repo: https://github.com/mpalmer/action-validator
    rev: v0.9.0
    hooks:
      - id: action-validator
  - repo: https://github.com/pre-commit/pre-commit-hooks
    rev: v6.0.0
    hooks:
      - id: trailing-whitespace
      - id: end-of-file-fixer
      - id: check-toml
      - id: check-yaml
  - repo: https://github.com/doublify/pre-commit-rust
    rev: v1.0
    hooks:
      - id: fmt
      - id: cargo-check
      - id: clippy
  - repo: https://git.sr.ht/~ololduck/pre-commit-hooks
    rev: v0.2
    hooks:
      - id: check-version-bump
      - id: check-changelog-cliff
